Bug 75451 - RFE: Make rpm fail immediately at beginning of build with invalid Group
RFE: Make rpm fail immediately at beginning of build with invalid Group
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-08 14:34 EDT by Mike A. Harris
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 10:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2002-10-08 14:34:05 EDT
Bugzilla in IRC format.  ;o)

<notting> packages in invalid groups, yay
<jgarzik> the recalcitrant laptop is installing Linux, whee
* jgarzik kicks IBM laptops
<jbj> notting: Fascist policy available in rpmbuild for the asking in bugzilla
<mharris> jbj: Sounds like a good idea IMHO
<owen> jgarzik: Not my laptop you don't!
--- twaugh is now known as twaugh_away
<jbj> mharris: someone has to ask
<-- havill has quit (Remote closed the connection)
* jgarzik switches owen's laptop to Norweigan locale when he's not looking
<mharris> jbj: I'm asking.  ;o)
<_Anarchy_> jg: so how is indoctrination going ?
<jrb> another jg?
<jrb> we need to namespace initials.
--> havill (~chatzilla@gaijin.devel.redhat.com) has joined #devel
--- qabot gives channel operator status to havill
<jbj> mharris: in bugzilla please, I scour my neurons weekly
Comment 1 Bill Nottingham 2005-09-29 17:44:40 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

For RPM issues, please try a current release such as Fedora Core 4; if bugs
persist, please open a new issue.
Comment 2 Mike A. Harris 2005-09-29 18:54:37 EDT
No problem.  This issue is still present in all supported OS releases.

Reopening and reassigning to FC4.
Comment 3 Paul Nasrat 2005-09-30 10:32:23 EDT
This bug does not define what it means with invalid.  I'm assuming this is not in:
/usr/share/doc/rpm-4.4.2/GROUPS

Group policy is distribution based and seperate to the mechanism within rpm
itself.  External tools such as rpmlint, etc can perform distribution specific
policy checking. Having group validation in rpmbuild is currently not a desired
goal.

Note You need to log in before you can comment on or make changes to this bug.